# Copyright (c) 2018  Dave Love, University of Manchester
# MIT licence, per Fedora policy.

# Fixme:  Try to use configure --with-bash-src

%global major 4.4
%global minor 0.94

Name:		bashdb
Version:	%major.%minor
Release:	1%{?dist}
Summary:	Debugger for bash
License:	GPLv2+
URL:		http://bashdb.sourceforge.net/
Source0:	https://sourceforge.net/projects/bashdb/files/bashdb/%major-%minor/bashdb-%major-%minor.tar.bz2
BuildRequires:	gcc
Requires:	bash
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildArch:	noarch

%description
The Bash Debugger is a source-code debugger for bash that follows the
gdb command syntax.


%prep
%setup -q -n bashdb-%major-%minor


%build
%configure
%make_build


%install
%make_install


%check
# Three tests currently failing
# make check


%post
if [ -f %_infodir/bashdb.info.gz ]; then
  /sbin/install-info \
    --info-dir=%_infodir %_infodir/bashdb.info.gz || :
fi

%preun
if [ $1 = 0 -a -f %_infodir/bashdb.info.gz ]; then
  /sbin/install-info --delete \
    --info-dir=%_infodir %_infodir/bashdb.info.gz || :
fi


%files
%license COPYING
%doc AUTHORS NEWS TODO THANKS README.md
%_bindir/bashdb
%_mandir/man1/bashdb.1*
%_datadir/bashdb
%_infodir/bashdb*
%exclude %_infodir/dir


%changelog
* Tue Oct 23 2018  <loveshack@fedoraproject.org> - %major.%minor-1
- Initial packaging

